<?php get_header();
wp_reset_query(); ?>

<?php $sliders = new WP_Query(array(
    'post_type' => 'slider',
    'posts_per_page' => 5
)); ?>
<div class="slider d-none d-md-flex">
    <div id="carouselExampleIndicators" class="carousel slide " data-ride="carousel">
        <ol class="carousel-indicators flex-column">
            <?php $i = 0;
            while ($sliders->have_posts()) : $sliders->the_post(); ?>
                <li data-target="#carouselExampleIndicators" data-slide-to="<?php echo $i++ ?>"></li>
            <?php endwhile;
            wp_reset_query(); ?>
        </ol>
        <div class="carousel-inner">
            <?php $i = 0;
            while ($sliders->have_posts()) : $sliders->the_post(); ?>
                <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'full'); ?>
                <?php $imgholder = IMAGES . '/no-img.jpg'; ?>
                <div class="carousel-item  ">
                    <img class="img-fluid " src="<?php echo $thumb ? $thumb : $imgholder ?>"
                         alt="<?php the_title() ?>">
                    <div class="carousel-caption">
                        <h5 data-animation="animated fadeInDown"><?php the_title() ?></h5>
                        <p data-animation="animated fadeInDown"><?php echo wp_trim_words(get_the_excerpt(), 50, '..') ?></p>
                        <a href="<?php echo home_url() ?>/اتصل-بنا/" class="btn btn-yellow">تواصل معنا</a>

                    </div>
                </div>
            <?php endwhile;
            wp_reset_query(); ?>
        </div>
    </div>
</div>


<div class="home-one-service common-wrapper">
    <div class="container">
        <div class="row">
            <div class="col-md-4 align-self-center">
                <img data-src="<?php the_field('one-serv-img', 'options') ?>" alt="" class="img-fluid lazy">
            </div>
            <div class="col-md-8">
                <h3 class="mb-3"><?php the_field('one-serv-title', 'options') ?></h3>
                <p><?php the_field('one-serv-description', 'options') ?></p>
                <a href="<?php the_field('one-serv-read-more', 'options') ?>"
                   class="btn btn-blue-outlined float-md-left">تواصل معنا</a>

            </div>
        </div>
    </div>
</div>
<div class="about">
    <div class="container-fluid">
        <div class="row">
            <div class="col-xl-4 col-lg-6 p-0 align-self-center">
                <div class="subscribe bg-blue d-flex align-items-center ">
                    <div class="sub-content">
                        <h5 class="mb-3">الإشتراك عبر البريد الإلكتروني</h5>
                        <p>قم بإدخال بريدك الإلكتروني لتصلك جميع مستجدات الموقع. يمكنك إلغاء الإشتراك في أي وقت</p>
                        <?php echo do_shortcode('[mailpoet_form id="1"]');
                        ?>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-6 p-0 align-self-center d-none d-xl-block">
                <div class="about-img">
                    <img data-src="<?php the_field('about-img', 'options') ?>" alt="" class="img-fluid lazy">
                </div>
            </div>
            <div class="col-xl-4 col-lg-6 p-0 align-self-center">
                <div class="about-content bg-blue">
                    <h4><?php the_field('about-title', 'options') ?></h4>
                    <p><?php the_field('about-description', 'options') ?></p>
                    <a href="<?php the_field('about-url', 'options') ?>" class="btn btn-yellow float-md-left">المزيد</a>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $blog = get_field('blog-section', 'options'); ?>
<?php $blogs = new WP_Query(array(
    'post_type' => 'post',
    'posts_per_page' => 9,
    'orderby' => 'rand',
    'tax_query' => array(
        array(
            'taxonomy' => 'category',
            'field' => 'term_id',
            'terms' => $blog,
        )
    )
)); ?>
<?php if ($blog) : ?>
    <div class="featured-articles common-wrapper">
        <div class="container">
            <div class="text-center">
                <div class="section-title"><?php the_field('blog-title', 'options') ?></div>
                <div class="section-description"><?php the_field('blog-txt', 'options') ?></div>
            </div>

            <div class="row">
                <?php $i = 0;
                while ($blogs->have_posts()) : $blogs->the_post(); ?>
                    <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'thumbnail'); ?>
                    <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                    <div class="col-lg-4">
                        <div class="single-feature-article wow zoomIn" data-wow-delay="<?php echo $i++ ?>00ms">
                            <div class="media">
                                <img data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                     class="align-self-center img-fluid ml-3 lazy" alt="<?php the_title() ?>">
                                <div class="media-body align-self-center">
                                    <h3 class="mt-0"><a
                                                href="<?php the_permalink() ?>"><?php echo wp_trim_words(get_the_title(), 17, '..') ?></a>
                                    </h3>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endwhile;
                wp_reset_query(); ?>


            </div>
        </div>
    </div>
<?php endif; ?>

<?php $portfolio = get_field('port-section', 'options'); ?>
<?php $portfolios = new WP_Query(array(
    'post_type' => 'post',
    'posts_per_page' => 4,
    'orderby' => 'rand',
    'tax_query' => array(
        array(
            'taxonomy' => 'category',
            'field' => 'term_id',
            'terms' => $portfolio,
        )
    )
)); ?>
<?php if ($portfolio) : ?>
    <div class="portfolio common-wrapper bg-blue">
        <div class="container">
            <div class="text-center">
                <div class="section-title"><?php the_field('port-title', 'options') ?></div>
                <div class="section-description"><?php the_field('port-txt', 'options') ?></div>
            </div>
            <div class="row">
                <?php $i = 0;
                while ($portfolios->have_posts()) : $portfolios->the_post(); ?>
                    <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                    <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                    <div class="col-lg-3 col-md-6 d-flex ">
                        <div class="single-product d-flex flex-column">
                            <div class="product-icon text-center"><img
                                        data-src="<?php echo $thumb ? $thumb : $imgholder ?>" alt="<?php the_title() ?>"
                                        class="img-fluid lazy m-auto"></div>
                            <div class="card-body">
                                <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
                            </div>

                        </div>
                    </div>
                <?php endwhile;
                wp_reset_query(); ?>
            </div>
        </div>
    </div>
<?php endif; ?>

<?php if (have_rows('services','options')) : ?>
<div class="services common-wrapper">
    <div class="container">
        <div class="text-center">
            <div class="section-title"><?php the_field('services-main-title', 'options') ?></div>
            <div class="section-description"><?php the_field('services-main-description', 'options') ?></div>
        </div>
        <div class="row">
            <div class="col-lg-4  right-col">
                <?php
                $repeat = get_field('services', 'options');
                    for ($i = 0; $i < 4; $i++):?>

                    <div class="single-service mb-2">
                        <div class="media">
                            <div class="media-body align-self-center">
                                <h3 class="mt-0">
                                    <a href="<?php echo $repeat[$i]['services-url'] ?>"><?php echo $repeat[$i]['service-title'] ?></a>
                                </h3>
                            </div>
                            <div class="serv-icon align-self-center d-flex mr-3">
                                <img data-src="<?php echo IMAGES ?>/icon.png" class=" img-fluid lazy "
                                     alt="<?php echo $repeat[$i]['service-title'] ?>">
                            </div>
                        </div>
                    </div>
                <?php endfor; ?>
            </div>
            <div class="col-lg-4 d-none d-lg-flex align-self-center">
                <div class="services-center-">
                    <img data-src="<?php the_field('services-img', 'options') ?>" alt="<?php the_title() ?>"
                         class="img-fluid lazy">
                </div>
            </div>
            <div class="col-lg-4">
                <?php
                $repeat = get_field('services', 'options');
                for ($i = 4; $i < 8; $i++):?>
                    <div class="single-service mb-2">
                        <div class="media">
                            <div class="serv-icon align-self-center d-flex ml-3">
                                <img data-src="<?php echo IMAGES ?>/icon.png" class=" img-fluid lazy "
                                     alt="<?php echo $repeat[$i]['service-title'] ?>">
                            </div>
                            <div class="media-body align-self-center">
                                <h3 class="mt-0">
                                    <a href="<?php echo $repeat[$i]['services-url'] ?>"><?php echo $repeat[$i]['service-title'] ?></a>
                                </h3>
                            </div>
                        </div>
                    </div>
                <?php endfor; ?>
            </div>
        </div>
    </div>
</div>
<?php endif; ?>

<?php if (have_rows('clients','options')) : ?>

<div class="sponsors common-wrapper">
    <div class="container">
        <div class="text-center">
            <div class="section-title"><?php the_field('clients-title','options')?></div>
            <div class="section-description"><?php the_field('clients-description','options')?></div>
        </div>

        <div class="sponsors-slider owl-carousel  my-5">
            <?php while (have_rows('clients','options'))  : the_row();?>
            <div class="single-sponsor d-flex align-items-center">
                <img data-src="<?php the_sub_field('client-logo') ?>" class="owl-lazy">
            </div>
         <?php endwhile; ?>
        </div>
    </div>
</div>
<?php endif; ?>
<?php get_footer(); ?>


