<?php
/* Template Name: Blog */

get_header();
wp_reset_query(); ?>

<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
    <div class="container">
        <?php
        if (function_exists('yoast_breadcrumb')) {
            yoast_breadcrumb('
<p id="breadcrumbs">', '</p>
');
        }
        ?>
    </div>
</div>
<section class="category-posts-wrapper pt-2">
    <div class="container">
        <?php
        global $paged;
        if (get_query_var('paged')) {
            $my_page = get_query_var('paged');
        } else {
            if (get_query_var('page')) {
                $my_page = get_query_var('page');
            } else {
                $my_page = 1;
            }
            set_query_var('paged', $my_page);
            $paged = $my_page;
        }; ?>
        <?php $postsQuery = array(
            'post_type' => 'post',
            'posts_per_page' => 9,
            'paged' => $my_page
        );
        $allPosts = new WP_Query($postsQuery);
        while ($allPosts->have_posts()) : $allPosts->the_post(); ?>


            <div class="single-category-item shadow">
                <div class="row">
                    <div class="col-md-5">
                        <div class="single-category-item-thumb">
                            <?php
                            if (has_post_thumbnail()) :?>
                                <img data-src="<?php echo get_the_post_thumbnail_url($post->id, 'medium_large' ); ?>" alt="<?php the_title(); ?> "
                                     class="img-fluid lazy">
                           <?php else : ?>
                                <img data-src="<?php echo IMAGES; ?>/no-img.jpg" alt="<?php the_title(); ?> "
                                     class="img-fluid lazy">
                            <?php endif; ?>

                        </div>
                    </div>
                    <div class="col-md-7 ">
                        <div class="single-category-item-context">
                            <h2><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h2>
                            <p><?php the_excerpt() ?></p>
                            <a href="<?php the_permalink() ?>" class="read-more">شاهد التفاصيل</a>
<!--                            <div class="the-cats">--><?php //the_category(); ?><!--</div>-->

                        </div>
                    </div>
                </div>
            </div>


        <?php endwhile;
        wp_reset_query(); ?>
        <div class="center">
            <?php wp_pagenavi(array('query' => $allPosts)); ?>
        </div>

    </div>
</section>



<?php get_footer(); ?>
